Bug 1224892 - Preupgrade-assistant traceback during building of contents
Summary: Preupgrade-assistant traceback during building of contents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: preupgrade-assistant
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-26 07:14 UTC by Petr Hracek
Modified: 2015-06-02 15:15 UTC (History)
2 users (show)

Fixed In Version: preupgrade-assistant-0.11.12-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-02 15:15:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Hracek 2015-05-26 07:14:00 UTC
Description of problem:
During building of contents preupg-create-group-xml traceback caused by wrong usage of print function.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Try to build a content
2.
3.

Actual results:
copying and adjusting preupg-xccdf-compose -> build/scripts-3.4
DEBUG: Child return code was: 1
INFO: EXCEPTION: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/preupgrade-assistant.spec 
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/util.py", line 504, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/preupgrade-assistant.spec 
INFO: LEAVE do --> EXCEPTION RAISED

... snip ...
changing mode of build/scripts-3.4/preupg-create-group-xml from 644 to 755
+ /usr/bin/preupg-create-group-xml Fedora22_23/FedoraFeatures/
  File "/usr/bin/preupg-create-group-xml", line 27
    print 'Specify just one directory with INI file.'
                                                    ^
SyntaxError: Missing parentheses in call to 'print'
error: Bad exit status from /var/tmp/rpm-tmp.Jj6FhE (%build)
    Bad exit status from /var/tmp/rpm-tmp.Jj6FhE (%build)




Expected results:
No traceback during building of content.

Additional info:

Comment 1 Petr Hracek 2015-05-26 07:28:28 UTC
this issue is fixed by commit https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20150525/1580614.html

Comment 2 Fedora Update System 2015-05-26 07:59:00 UTC
preupgrade-assistant-0.11.12-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/preupgrade-assistant-0.11.12-4.fc22

Comment 3 Fedora Update System 2015-05-27 16:28:06 UTC
Package preupgrade-assistant-0.11.12-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing preupgrade-assistant-0.11.12-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8979/preupgrade-assistant-0.11.12-4.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-01 13:30:26 UTC
preupgrade-assistant-0.11.12-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/preupgrade-assistant-0.11.12-5.fc22

Comment 5 Fedora Update System 2015-06-02 15:15:13 UTC
preupgrade-assistant-0.11.12-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.